import oracledb from 'oracledb';
import { OracleConfig } from './index.js';
process.env.ORACLE_BASE = '/u01/app/oracle';
process.env.ORACLE_HOME = '/u01/app/oracle/product/12.1.0/client_1';
process.env.LD_LIBRARY_PATH = '/u01/app/oracle/product/12.1.0/client_1';
process.env.TNS_ADMIN = '/u01/app/oracle/product/12.1.0/client_1/network/admin';
process.env.ORA_NLS33 = '/u01/app/oracle/product/12.1.0/client_1/ocommon/nls/admin/data';
oracledb.initOracleClient();
class Connection {
    async connect(connectionData) {
        const connParams = OracleConfig.getConnectionParams(connectionData);
        const newConnection = await oracledb.getConnection(connParams);
        return newConnection;
    }
}
const instance = new Connection();
export { instance as Connection };
