import { AbstractTemplate, Emojis } from '../index.js';
const { DESKTOP_MONITOR, LOUDSPEAKER, THUMBTACK, TICKET, NETWORK, FLOPPPY_DISK, STORE, SPANNER, CALENDAR, BAGGAGE, SM_BLUE_DIAMONG, } = Emojis;
const template = ''.concat(`${LOUDSPEAKER} Notificação de Telemetria de Sistema ${DESKTOP_MONITOR}

${CALENDAR} Data e Hora: {{SYSDATE}}

${THUMBTACK} Ação: Instação de Sistema

${SPANNER} Sistemas:
${SM_BLUE_DIAMONG} Assistant Installer v{{WIZARD_VERSION}}
${SM_BLUE_DIAMONG} Assistant Updater v{{UPDATER_VERSION}}

${BAGGAGE} Tipo de Cliente: {{INSTALL_MODE}}
${FLOPPPY_DISK} Dir.: {{DIRECTORY}}
${NETWORK} Servidor: {{SERVER}}
${TICKET} Filial: {{UNIT}}
${STORE} Loja: {{STORE}}
{{CASHER}}`);
class WizardInstall extends AbstractTemplate {
}
const instance = new WizardInstall(template);
export { instance as WizardInstall };
export default instance;
