import { ApiRoutes, ContainerRoutes, ServerRoutes, ProductRoutes, ProductSettingRoutes, UpdaterVersionRoutes, AssistantControlRoutes, CustomerRoutes, AccessRoutes, AssistantMonitoringRoutes, AssistantInstallerRoutes, ReportRoutes, NotificationRoutes, } from './index.js';
class RouterManagement {
    register(app) {
        ApiRoutes.register(app);
        ContainerRoutes.register(app);
        ServerRoutes.register(app);
        ProductRoutes.register(app);
        ProductSettingRoutes.register(app);
        UpdaterVersionRoutes.register(app);
        AssistantControlRoutes.register(app);
        CustomerRoutes.register(app);
        AccessRoutes.register(app);
        AssistantMonitoringRoutes.register(app);
        AssistantInstallerRoutes.register(app);
        ReportRoutes.register(app);
        NotificationRoutes.register(app);
    }
}
const instance = new RouterManagement();
export { instance as RouterManagement, };
export default instance;
