import { createHash } from 'crypto';

class Password {
  encrypt(password) {
    return createHash('sha256').update(password).digest('hex');
  }
}

const isolatedExecution = process.argv[1].endsWith('cryptPassword.js');
if(isolatedExecution) {
  if(!process.argv[2]) {
    console.error('Informe a senha que deseja criptografar como argumento do script');
  } else {
    const password = new Password().encrypt(process.argv[2]);
    console.log(password);
  }
}

export default new Password();